// out: ../../css/components/social-sharing.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
.block-social-sharing-block {
  position: fixed;
  left: 0;
  top: 200px;
  z-index: 499;

  .social-media-sharing {
    ul {
      display: block;

      li {
        display: table;
        margin-bottom: 5px;
      }
    }
  }
}

.user-logged-in {
  .block-social-sharing-block {
    top: 280px;
  }
}

.social-media-sharing {
  ul {
    li {
      a {
        display: block;

        &:hover {
          text-decoration: none;
        }

        &.share {
          &:after {
            width: 45px;
            height: 45px;
            display: block;
            font-family: "cern-icons";
            -moz-osx-font-smoothing: grayscale;
            -webkit-font-smoothing: antialiased;
            color: white;
            font-size: 4.5rem;
            line-height: 4.5rem;
          }

          &.facebook-share:after {
            content: "u";
            background: #3b5998;
            font-size: 4rem;
          }

          &.facebook-msg:after {
            content: unset;
            background: #3b5998;
          }

          &.linkedin:after {
            content: "L";
            background: #0077b5;
          }

          &.twitter:after {
            content: "V";
            background: #1da1f2;
          }

          &.pinterest:after {
            content: unset;
            background: #cb2027;
          }

          &.google-plus:after {
            content: "2";
            background: #e7725d;
          }

          &.email:after {
            content: "P";
            background: #3c3c3c;
            text-indent: -5px;
          }
        }

        img {
          display: none;
        }
      }
    }
  }
}

@media only screen and (max-width: 1071px) {
  .block-social-sharing-block {
    position: static;
    text-align: center;
    margin-top: 3rem;
    border-top: 1px solid #eee;
    padding-top: 20px;

    .social-media-sharing {
      ul {
        display: inline-flex;

        li {
          display: inline;
          margin-bottom: 0px;
          margin-right: 0px;

          a {
            &.facebook-share:after,
            &.linkedin:after,
            &.twitter:after,
            &.google-plus:after,
            &.email:after {
              display: block;
              margin-right: 10px;
            }
          }
        }
      }
    }
  }
}
